Statistics Panel shows empty value if field name include spaces

2016-03-21 02:16 AM - Valeri Kapanen

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22514

Description

Statistics Panel shows empty value if field name include spaces or other special symbols, like ", : ;".

For example, if field name is "Pipe length" then all values is empty in Statistic Panel. At same time Basic Statistics (in Vector/Analysis

Tools) show correctly output for this kind of fields.

Associated revisions

Revision 53b493c6 - 2016-03-29 02:12 AM - Nyall Dawson

Fix stats dock not working with field names with spaces (fix #14541)

Revision 0760e30e - 2016-04-04 06:31 AM - Nyall Dawson

Fix stats dock not working with field names with spaces (fix #14541)

(cherry-picked from 53b493c6e6b49ba725d45e272c0690479c61a301)

History

#1 - 2016-03-28 05:28 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"53b493c6e6b49ba725d45e272c0690479c61a301".
